Subject: Re: bug#50195: [PATCH] Adding diary-offset, a diary-sexp offsetting another diary-sexp.

From: Michael Heerdegen <[email-masked]>
Date: Thu, 26 Aug 2021 11:26:03 +0200

Yuchen Pei <[email-masked]> writes:

> > I just removed lexical-binding from the header and commented the
> > `with-no-warnings' call in `diary-list-entries-1'.
>
> Which command did you use to compile?  I compiled with just `make` and
> there was no warning.

B from dired.  But I get these warnings also with "make", just tried now
(using master).

To avoid misunderstandings, this is what I tried:

From b1f973c7c5ed6591bb7132b9254ee549f44162d2 Mon Sep 17 00:00:00 2001
From: Michael Heerdegen <[email-masked]>
Date: Thu, 26 Aug 2021 11:21:14 +0200
Subject: [PATCH] Test warnings in diary-lib

---
 lisp/calendar/diary-lib.el | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/lisp/calendar/diary-lib.el b/lisp/calendar/diary-lib.el
index f57fe26058..8044768476 100644
--- a/lisp/calendar/diary-lib.el
+++ b/lisp/calendar/diary-lib.el
@@ -1,4 +1,4 @@
-;;; diary-lib.el --- diary functions  -*- lexical-binding:t -*-
+;;; diary-lib.el --- diary functions

 ;; Copyright (C) 1989-1990, 1992-1995, 2001-2021 Free Software
 ;; Foundation, Inc.
@@ -726,7 +726,6 @@ diary-list-entries-1
 MONTHS is an array of month names.  SYMBOL marks diary entries of the type
 in question.  ABSFUNC is a function that converts absolute dates to dates
 of the appropriate type."
-  (with-no-warnings (defvar number) (defvar list-only))
   (let ((gdate original-date))
     (dotimes (_ number)
       (diary-list-entries-2
--
2.30.2

Michael.